## lighttpd2 2.0.0~snap-20170729-134019

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.0 FATAL_ERROR)

PROJECT(lighttpd C)
SET(PACKAGE_NAME ${CMAKE_PROJECT_NAME})
SET(PACKAGE_VERSION 2.0.0)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

#INCLUDE(CTest)
ENABLE_TESTING()

ADD_SUBDIRECTORY(src build)

add_subdirectory(tests)

=== src/CMakeLists.txt ===
INCLUDE(CheckCSourceCompiles)
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckVariableExists)
INCLUDE(CheckTypeSize)
INCLUDE(CheckLibraryExists)
INCLUDE(CMakeDetermineCCompiler)
INCLUDE(FindThreads)
INCLUDE(FindPkgConfig)

INCLUDE(LighttpdMacros)

FIND_PACKAGE(Ragel REQUIRED)
FIND_PACKAGE(LibEV REQUIRED)

cmake_policy(VERSION 2.6.4)

ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES)

OPTION(WITH_LUA "with lua 5.1 for lua-configfile [default: on]" ON)
OPTION(WITHOUT_CONFIG_PARSER "without standard config parser [default: off]" OFF)
OPTION(WITH_UNWIND "with (lib)unwind support in asserts to print backtraces [default: off]" OFF)
OPTION(WITH_OPENSSL "with openssl support [default: off]")
OPTION(WITH_GNUTLS "with gnutls support [default: off]")
OPTION(WITH_SNI "with SNI support for gnutls/openssl, needs libidn [default: off]")
OPTION(BUILD_STATIC "build a static lighttpd with all modules added")
OPTION(BUILD_EXTRA_WARNINGS "extra warnings")
OPTION(WITH_BZIP "with bzip2 support for mod_deflate")
OPTION(WITH_ZLIB "with deflate support for mod_deflate")
OPTION(WITH_PROFILER "with memory profiler")
OPTION(BUILD_UNIT_TESTS "build unit tests for testing")

IF(BUILD_STATIC)
  SET(LIGHTTPD_STATIC 1)
ENDIF(BUILD_STATIC)

SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_SYSTEM_INCLUDE_PATH})

CHECK_INCLUDE_FILES(inttypes.h HAVE_INTTYPES_H)
CHECK_INCLUDE_FILES(stddef.h HAVE_STDDEF_H)
CHECK_INCLUDE_FILES(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILES(sys/mman.h HAVE_SYS_MMAN_H)
CHECK_INCLUDE_FILES(sys/resource.h HAVE_SYS_RESOURCE_H)
CHECK_INCLUDE_FILES(sys/sendfile.h HAVE_SYS_SENDFILE_H)
CHECK_INCLUDE_FILES(sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES(sys/uio.h HAVE_SYS_UIO_H)
CHECK_INCLUDE_FILES(sys/un.h HAVE_SYS_UN_H)
CHECK_INCLUDE_FILES(unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILES(execinfo.h HAVE_EXECINFO_H)

# will be needed for auth
CHECK_INCLUDE_FILES(crypt.h HAVE_CRYPT_H)
# check if we need libcrypt for crypt_r()
CHECK_LIBRARY_EXISTS(crypt crypt_r "" HAVE_LIBCRYPT_CRYPT_R)
IF(HAVE_LIBCRYPT_CRYPT_R)
	SET(HAVE_CRYPT_R 1 FORCE)
	SET(HAVE_LIBCRYPT 1 FORCE)
ELSE(HAVE_LIBCRYPT_CRYPT_R)
	CHECK_LIBRARY_EXISTS(crypt crypt "" HAVE_LIBCRYPT)
ENDIF(HAVE_LIBCRYPT_CRYPT_R)
CHECK_FUNCTION_EXISTS(crypt_r HAVE_CRYPT_R)

CHECK_LIBRARY_EXISTS(kvm kvm_open "" HAVE_LIBKVM)

CHECK_TYPE_SIZE(long SIZEOF_LONG)
CHECK_TYPE_SIZE(off_t SIZEOF_OFF_T)

CHECK_FUNCTION_EXISTS(chroot HAVE_CHROOT)
CHECK_FUNCTION_EXISTS(getrlimit HAVE_GETRLIMIT)
CHECK_FUNCTION_EXISTS(gmtime_r HAVE_GMTIME_R)
CHECK_FUNCTION_EXISTS(inet_aton HAVE_INET_ATON)
CHECK_FUNCTION_EXISTS(inet_ntop HAVE_INET_NTOP)
CHECK_FUNCTION_EXISTS(localtime_r HAVE_LOCALTIME_R)
CHECK_FUNCTION_EXISTS(madvise HAVE_MADVISE)
CHECK_FUNCTION_EXISTS(mmap HAVE_MMAP)
CHECK_FUNCTION_EXISTS(posix_fadvise HAVE_POSIX_FADVISE)
CHECK_FUNCTION_EXISTS(sendfile HAVE_SENDFILE)
CHECK_FUNCTION_EXISTS(sendfile64 HAVE_SENDFILE64)
CHECK_FUNCTION_EXISTS(sendfilev HAVE_SENDFILEV)
CHECK_FUNCTION_EXISTS(writev HAVE_WRITEV)
CHECK_FUNCTION_EXISTS(accept4 HAVE_ACCEPT4)
CHECK_C_SOURCE_COMPILES("
	#include <sys/types.h>
	#include <sys/socket.h>
	#include <netinet/in.h>

	int main() {
		struct sockaddr_in6 s; struct in6_addr t=in6addr_any; int i=AF_INET6; s; t.s6_addr[0] = 0;
		return 0;
	}" HAVE_IPV6)
CHECK_C_SOURCE_COMPILES("
	#include <sys/socket.h>

	int main() {
		struct sockaddr_storage s;
		return 0;
	}" HAVE_SOCKADDR_STORAGE)

# glib/gthread
pkg_check_modules(GTHREAD REQUIRED gthread-2.0>=2.16)
pkg_check_modules(GMODULE REQUIRED gmodule-2.0>=2.16)

IF(WITH_LUA)
  pkg_search_module(LUA REQUIRED lua lua5.1 lua-5.1)
  SET(HAVE_LIBLUA 1 "Have liblua")
  SET(HAVE_LUA_H  1 "Have liblua header")
ENDIF(WITH_LUA)

IF(WITH_GNUTLS)
  pkg_search_module(GNUTLS REQUIRED gnutls)
ENDIF(WITH_GNUTLS)

IF(WITH_UNWIND)
  pkg_search_module(UNWIND REQUIRED libunwind)
  SET(HAVE_LIBUNWIND 1 "Have libunwind")
ENDIF(WITH_UNWIND)

IF(WITH_OPENSSL)
  CHECK_INCLUDE_FILES(openssl/ssl.h HAVE_OPENSSL_SSL_H)
  IF(HAVE_OPENSSL_SSL_H)
    CHECK_LIBRARY_EXISTS(crypto BIO_f_base64 "" HAVE_LIBCRYPTO)
    IF(HAVE_LIBCRYPTO)
      SET(OPENSSL_NO_KRB5 1)
      CHECK_LIBRARY_EXISTS(ssl SSL_new "" HAVE_LIBSSL)
    ENDIF(HAVE_LIBCRYPTO)
  ENDIF(HAVE_OPENSSL_SSL_H)
ENDIF(WITH_OPENSSL)

IF(WITH_SNI)
  pkg_search_module(IDN REQUIRED libidn)
  ADD_DEFINITIONS(-DUSE_SNI)
ENDIF(WITH_SNI)

IF(WITH_BZIP)
  CHECK_INCLUDE_FILES(bzlib.h HAVE_BZLIB_H)
  CHECK_LIBRARY_EXISTS(bz2 BZ2_bzCompressInit "" HAVE_LIBBZ2)
  IF(HAVE_BZLIB_H AND HAVE_LIBBZ2)
    SET(BZIP_LDFLAGS "-lbz2")
    SET(BZIP_CFLAGS "")
    SET(HAVE_BZIP 1)
  ENDIF(HAVE_BZLIB_H AND HAVE_LIBBZ2)
ENDIF(WITH_BZIP)

IF(WITH_ZLIB)
  CHECK_INCLUDE_FILES(zlib.h HAVE_ZLIB_H)
  CHECK_LIBRARY_EXISTS(z deflate "" HAVE_LIBZ)
  IF(HAVE_ZLIB_H AND HAVE_LIBZ)
    SET(ZLIB_LDFLAGS "-lz")
    SET(ZLIB_CFLAGS "")
    SET(HAVE_ZLIB 1)
  ENDIF(HAVE_ZLIB_H AND HAVE_LIBZ)
ENDIF(WITH_ZLIB)

IF(WITH_PROFILER)
  CHECK_INCLUDE_FILES(execinfo.h HAVE_EXECINFO_H)
ENDIF(WITH_PROFILER)

IF(NOT BUILD_STATIC)
  CHECK_INCLUDE_FILES(dlfcn.h HAVE_DLFCN_H)
ENDIF(NOT BUILD_STATIC)

IF(NOT SBINDIR)
    SET(SBINDIR "sbin")
ENDIF(NOT SBINDIR)

IF(NOT LIGHTTPD_MODULES_DIR)
    SET(LIGHTTPD_MODULES_DIR "lib${LIB_SUFFIX}/lighttpd")
ENDIF(NOT LIGHTTPD_MODULES_DIR)

IF(NOT WIN32)
ADD_DEFINITIONS(
  -DLIBRARY_DIR="\\"${CMAKE_INSTALL_PREFIX}/${LIGHTTPD_MODULES_DIR}\\""
)
ELSE(NOT WIN32)
## We use relative path in windows
ADD_DEFINITIONS(
  -DLIBRARY_DIR="\\"lib\\""
)
ENDIF(NOT WIN32)

## Write out config.h
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/include/lighttpd/config.h)

ADD_DEFINITIONS(-DHAVE_CONFIG_H)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/include  ${CMAKE_BINARY_DIR}/include)

SET(COMMON_SRC
	angel_connection.c
	angel_data.c
	buffer.c
	encoding.c
	events.c
	fetch.c
	idlist.c
	ip_parsers.c
	jobqueue.c
	memcached.c
	mempool.c
	module.c
	radix.c
	sys_memory.c
	sys_socket.c
	tasklet.c
	utils.c
	value.c
	waitqueue.c
)

IF(WITH_PROFILER)
	SET(COMMON_SRC ${COMMON_SRC}
		profiler.c
	)
ENDIF(WITH_PROFILER)

ADD_PREFIX(COMMON_SRC common/)

SET(LIGHTTPD_SHARED_SRC
	angel.c
	angel_fake.c
	actions.c
	base_lua.c
	backends.c
	chunk.c
	chunk_parser.c
	collect.c
	condition.c
	connection.c
	environment.c
	etag.c
	filter.c
	filter_chunked.c
	filter_buffer_on_disk.c
	http_headers.c
	http_range_parser.c
	http_request_parser.c
	http_response_parser.c
	lighttpd_glue.c
	log.c
	mimetype.c
	network.c
	network_write.c network_writev.c
	network_sendfile.c
	options.c
	pattern.c
	plugin.c
	request.c
	response.c
	server.c
	stat_cache.c
	stream.c
	stream_http_response.c
	stream_simple_socket.c
	throttle.c
	url_parser.c
	value.c
	virtualrequest.c
	worker.c
	plugin_core.c
)

IF(NOT WITHOUT_CONFIG_PARSER)
	SET(LIGHTTPD_SHARED_SRC ${LIGHTTPD_SHARED_SRC}
		config_parser.c
	)
ENDIF(NOT WITHOUT_CONFIG_PARSER)

IF(WITH_LUA)
SET(LIGHTTPD_SHARED_SRC ${LIGHTTPD_SHARED_SRC}
	actions_lua.c
	condition_lua.c
	config_lua.c
	value_lua.c

	chunk_lua.c
	core_lua.c
	environment_lua.c
	filters_lua.c
	http_headers_lua.c
	physical_lua.c
	request_lua.c
	response_lua.c
	stat_lua.c
	subrequest_lua.c
	virtualrequest_lua.c
)
ENDIF(WITH_LUA)

ADD_PREFIX(LIGHTTPD_SHARED_SRC main/)

SET(ANGEL_SHARED_SRC
	angel_config_parser.c
	angel_log.c
	angel_plugin.c
	angel_plugin_core.c
	angel_proc.c
	angel_server.c
	angel_value.c
)
ADD_PREFIX(ANGEL_SHARED_SRC angel/)

## Build parsers by using ragel...
RAGEL_PARSER(main/config_parser.rl -T0)
RAGEL_PARSER(main/http_range_parser.rl)
RAGEL_PARSER(main/http_request_parser.rl)
RAGEL_PARSER(main/http_response_parser.rl)
RAGEL_PARSER(common/ip_parsers.rl)
RAGEL_PARSER(main/url_parser.rl)
RAGEL_PARSER(angel/angel_config_parser.rl)

SET(L_INSTALL_TARGETS)

ADD_LIBRARY(lighttpd-${PACKAGE_VERSION}-common SHARED
	${COMMON_SRC}
)

ADD_LIBRARY(lighttpd-${PACKAGE_VERSION}-shared SHARED
	${LIGHTTPD_SHARED_SRC}
)
TARGET_LINK_LIBRARIES(lighttpd-${PACKAGE_VERSION}-shared lighttpd-${PACKAGE_VERSION}-common)

ADD_LIBRARY(lighttpd-${PACKAGE_VERSION}-sharedangel SHARED
	${ANGEL_SHARED_SRC}
)
TARGET_LINK_LIBRARIES(lighttpd-${PACKAGE_VERSION}-sharedangel lighttpd-${PACKAGE_VERSION}-common)

ADD_EXECUTABLE(lighttpd2-worker
	main/lighttpd_worker.c
)
TARGET_LINK_LIBRARIES(lighttpd2-worker lighttpd-${PACKAGE_VERSION}-common lighttpd-${PACKAGE_VERSION}-shared)

ADD_EXECUTABLE(lighttpd2
	angel/angel_main.c
)
TARGET_LINK_LIBRARIES(lighttpd2 lighttpd-${PACKAGE_VERSION}-common lighttpd-${PACKAGE_VERSION}-sharedangel)

SET(L_INSTALL_TARGETS ${L_INSTALL_TARGETS} lighttpd2-worker lighttpd2 lighttpd-${PACKAGE_VERSION}-common lighttpd-${PACKAGE_VERSION}-shared lighttpd-${PACKAGE_VERSION}-sharedangel)

IF(BUILD_EXTRA_WARNINGS)
	SET(WARN_CFLAGS " -g -O2 -g2 -Wall -Wmissing-declarations -Wdeclaration-after-statement -Wcast-align -Wsign-compare -Wnested-externs -Wpointer-arith -Wmissing-prototypes -Wshadow")
	SET(WARN_LDFLAGS " -g -O2 -g2 -Wall -Wl,--as-needed -Wl,--no-undefined")
	# -Werror
ELSE(BUILD_EXTRA_WARNINGS)
	SET(WARN_CFLAGS "")
	SET(WARN_LDFLAGS "")
ENDIF(BUILD_EXTRA_WARNINGS)

SET(COMMON_LDFLAGS "${LUA_LDFLAGS} ${LIBEV_LDFLAGS} ${GTHREAD_LDFLAGS} ${GMODULE_LDFLAGS}${WARN_LDFLAGS}")
SET(COMMON_CFLAGS "${LUA_CFLAGS_OTHER} ${LIBEV_CFLAGS_OTHER} ${GTHREAD_CFLAGS_OTHER} ${GMODULE_CFLAGS_OTHER}${WARN_CFLAGS}")
SET(COMMON_INCLUDE_DIRECTORIES ${LUA_INCLUDE_DIRS} ${LIBEV_INCLUDE_DIRS} ${GTHREAD_INCLUDE_DIRS} ${GMODULE_INCLUDE_DIRS})

ADD_AND_INSTALL_LIBRARY(mod_access "modules/mod_access.c")
ADD_AND_INSTALL_LIBRARY(mod_accesslog "modules/mod_accesslog.c")
ADD_AND_INSTALL_LIBRARY(mod_auth "modules/mod_auth.c")
ADD_AND_INSTALL_LIBRARY(mod_balance "modules/mod_balance.c")
ADD_AND_INSTALL_LIBRARY(mod_cache_disk_etag "modules/mod_cache_disk_etag.c")
ADD_AND_INSTALL_LIBRARY(mod_debug "modules/mod_debug.c")
ADD_AND_INSTALL_LIBRARY(mod_dirlist "modules/mod_dirlist.c")
ADD_AND_INSTALL_LIBRARY(mod_expire "modules/mod_expire.c")
ADD_AND_INSTALL_LIBRARY(mod_fastcgi "modules/mod_fastcgi.c;modules/fastcgi_stream.c")
ADD_AND_INSTALL_LIBRARY(mod_flv "modules/mod_flv.c")
ADD_AND_INSTALL_LIBRARY(mod_fortune "modules/mod_fortune.c")
ADD_AND_INSTALL_LIBRARY(mod_limit "modules/mod_limit.c")
ADD_AND_INSTALL_LIBRARY(mod_memcached "modules/mod_memcached.c")
ADD_AND_INSTALL_LIBRARY(mod_progress "modules/mod_progress.c")
ADD_AND_INSTALL_LIBRARY(mod_proxy "modules/mod_proxy.c")
ADD_AND_INSTALL_LIBRARY(mod_redirect "modules/mod_redirect.c")
ADD_AND_INSTALL_LIBRARY(mod_rewrite "modules/mod_rewrite.c")
ADD_AND_INSTALL_LIBRARY(mod_scgi "modules/mod_scgi.c")
ADD_AND_INSTALL_LIBRARY(mod_status "modules/mod_status.c")
ADD_AND_INSTALL_LIBRARY(mod_throttle "modules/mod_throttle.c")
ADD_AND_INSTALL_LIBRARY(mod_userdir "modules/mod_userdir.c")
ADD_AND_INSTALL_LIBRARY(mod_vhost "modules/mod_vhost.c")

IF(HAVE_ZLIB OR HAVE_BZIP)
  ADD_AND_INSTALL_LIBRARY(mod_deflate "modules/mod_deflate.c")

  TARGET_LINK_LIBRARIES(mod_deflate ${BZIP_LDFLAGS} ${ZLIB_LDFLAGS})
  ADD_TARGET_PROPERTIES(mod_deflate COMPILE_FLAGS ${BZIP_CFLAGS} ${ZLIB_CFLAGS})
ENDIF(HAVE_ZLIB OR HAVE_BZIP)

IF(WITH_LUA)
  ADD_AND_INSTALL_LIBRARY(mod_lua "modules/mod_lua.c")
ENDIF(WITH_LUA)

IF(WITH_GNUTLS)
  ADD_AND_INSTALL_LIBRARY(mod_gnutls "modules/mod_gnutls.c;modules/gnutls_filter.c;modules/gnutls_ocsp.c")
  TARGET_LINK_LIBRARIES(mod_gnutls ${GNUTLS_LDFLAGS} ${IDN_LDFLAGS})
  ADD_TARGET_PROPERTIES(mod_gnutls COMPILE_FLAGS ${GNUTLS_CFLAGS} ${IDN_CFLAGS})
ENDIF(WITH_GNUTLS)

IF(WITH_OPENSSL)
  ADD_AND_INSTALL_LIBRARY(mod_openssl "modules/mod_openssl.c;modules/openssl_filter.c")
  TARGET_LINK_LIBRARIES(mod_openssl ssl crypto  ${IDN_LDFLAGS})
  ADD_TARGET_PROPERTIES(mod_openssl COMPILE_FLAGS ${IDN_CFLAGS})
ENDIF(WITH_OPENSSL)

TARGET_LINK_LIBRARIES(lighttpd-${PACKAGE_VERSION}-common ${COMMON_LDFLAGS} ${UNWIND_LDFLAGS})
ADD_TARGET_PROPERTIES(lighttpd-${PACKAGE_VERSION}-common COMPILE_FLAGS ${COMMON_CFLAGS} ${UNWIND_CFLAGS})
TARGET_INCLUDE_DIRECTORIES(lighttpd-${PACKAGE_VERSION}-common PUBLIC ${COMMON_INCLUDE_DIRECTORIES})

## lighttpd2 2.0.0~snap-20170729-134019-gbc6b25

=== debian/changelog ===
lighttpd2 (2.0.0~snap-20170729-134019-gbc6b25-1) unstable; urgency=low

  * new snapshot gbc6b25
    + [mod_openssl] fix crash with libressl or openssl < 1.1
    + [mod_openssl] fix C90 mixed declarations and code warning
    + [core] use readdir instead of readdir_r

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 29 Jul 2017 13:59:11 +0000

lighttpd2 (2.0.0~snap-20170726-080037-g8c68b1-2) unstable; urgency=medium

  * split lists into one item per line in debian/control
  * remove deprecated (alternative) names in build dependencies
  * update debian/compat to 9
  * use debhelper without cdbs
    + /usr/lib contents now multiarch (libexecdir), update install and
      overrides accordingly
  * remove explicit -dbg package (-> dbgsym packages)

 -- Stefan Bühler <source@stbuehler.de>  Sat, 29 Jul 2017 15:52:33 +0200

lighttpd2 (2.0.0~snap-20170726-080037-g8c68b1-1) unstable; urgency=low

  * new snapshot g8c68b1
    + [cmake] handle include directories separately
    + [config] expect exactly one comma between list entries
    + use _DEFAULT_SOURCE instead of _BSD_SOURCE
    + [parsers] fix unused variable warnings
    + [mod_gnutls] use only pin callback, don't pass pin as parameter
    + [mod_gnutls] add basic OCSP response stapling support
    + [core] disable strict-alias warnings for libev wrappers
    + [mod_gnutls] use gnutls_pem_base64_decode_alloc instead of gnutls_pem_base64_decode2 (compat name for old versions)
    + [mod_gnutls/docs] ocsptool is the ocsp tool
    + [doc] decode HTML entities in code/markdown/textile blocks
    + [mod_gnutls/doc] more details which certificates are needed for OCSP
    + [mod_gnutls] workaround gnutls API breakage, and prepare for future ones
    + Add NO_TLSv1_1 and higher options
    + [mod_openssl/doc] Update links to man pages
    + [mod_openssl] fix warnings and compile breaks with openssl 1.1.0
    + [mimetypes.conf] add text/markdown to utf-8 list, regenerate mimetypes.conf
    + [plugin_core] support patterns in alias target
    + [doc build] remove markdown support
    + handle ENAMETOOLONG in various places
    + [plugin_core] fix segfault in fetch.files_static init
    + [mod_gnutls] support OCSP responses in sni backends

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 26 Jul 2017 17:14:01 +0000

lighttpd2 (2.0.0~snap-20151204-132651-g3a4698-1) unstable; urgency=low

  * new snapshot g3a4698
    + [pattern] fix all calls of li_pattern_eval to provide latest regex match

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 18 Dec 2015 07:09:03 +0000

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Make -bin require exact -lib version, make -dev and -dbg require -bin
    instead of main package

 -- Stefan Bühler <stbuehler@web.de>  Wed, 28 Oct 2015 21:55:34 +0100

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * add lost systemd unit

 -- Stefan Bühler <stbuehler@web.de>  Sat, 24 Oct 2015 14:05:43 +0200

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix package dependencies for hopefully more smooth upgrade paths

 -- Stefan Bühler <stbuehler@web.de>  Sat, 24 Oct 2015 13:58:59 +0200

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Split lighttpd2-bin packages containing the binaries; lighttpd2 contains
    the systemd service now and conflicts with lighttpd2-run

 -- Stefan Bühler <stbuehler@web.de>  Sat, 24 Oct 2015 13:43:28 +0200

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-2) unstable; urgency=low

  * Package rebuild

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 23 Oct 2015 15:44:55 +0000

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-1) unstable; urgency=low

  * new snapshot gd2c6a2
    + [core] close out stream nicely on regular shutdown (fixes openssl session problem)
    + [mod_openssl] various fixes, fix error handling
    + Add systemd unit file
    + track event "names" for debugging
    + [mod_debug] debug events
    + [lua] handle filter->vr == NULL in lua filters, handle filter->in == NULL in xsendfile
    + mimetypes.conf: add some new mime types, remove .dat, .sha1, .md5, update .vcf
    + [mod_debug] show more details for events
    + [common] fix out-of-bounds read in li_sockaddr_to_string
    + [automake] add missing files to dist tar
    + [common] format IPv6 addresses with port as [addr]:port (added the square brackets)
    + [request parser] adapt whitespace removal from response parser, fixes bug removing last character if CR was missing
    + [streams] improve stream handling, hopefully fixes bug with lingering backend connections
    + [debug] provide more unique event names for waitqueues
    + ignore CMakeLists.txt.user (qtcreator)
    + [ssl] don't exit early when there is no data to write; otherwise EOS stream handling is not triggered
    + use g_assert instead of g_assert_true for older glib2 versions

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Thu, 13 Aug 2015 19:14:57 +0000

lighttpd2 (2.0.0~snap-20141109-104005-g93d04a-1.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * ignore missing doc/*.js sources

 -- Stefan Bühler <stbuehler@web.de>  Mon, 10 Aug 2015 12:34:48 +0200

lighttpd2 (2.0.0~snap-20141109-104005-g93d04a-1) unstable; urgency=low

  * new snapshot g93d04a
    + [doc] clarify "physical.exists" semantic
    + [mod_gnutls] when an alert is received print its actual value
    + [mod_gnutls] allow pemfile to accept a key-value list of a certificate and key
    + [doc] improve section about DH/DSA parameters in mod_gnutls
    + [doc] mod_gnutls: add comment that reusing keys in DH is not recommended anyway
    + [mod_gnutls] improve alert handling
    + [mod_openssl] allow all authentication methods in default cipher string
    + [tests] use gnutls certtool to create test ca



=== debian/control ===
Source: lighttpd2
Section: web
Priority: extra
Maintainer: Stefan Bühler <source@stbuehler.de>
Uploaders:
 Lighttpd Buildbot <buildbot@lighttpd.net>,
 Jenkins (autobuilder) <jenkins@lighttpd.net>,
Build-Depends:
 debhelper (>= 9),
 autotools-dev,
 libev-dev,
 ragel,
 libglib2.0-dev,
 liblua5.1-dev,
 zlib1g-dev,
 libbz2-dev,
 pkg-config,
 libssl-dev,
 libgnutls28-dev,
 libidn11-dev,
 libunwind8-dev,
 python (>= 2.6),
 python-pycurl,
 fcgi-cgi,
 dh-systemd (>= 1.5),
Standards-Version: 3.9.8
Homepage: https://redmine.lighttpd.net/projects/lighttpd2/wiki

Package: lighttpd2
Architecture: any
Depends:
 lighttpd2-bin (>= ${source:Version}),
 systemd,
 adduser,
 ${misc:Depends},
Provides:
 httpd,
 httpd-cgi,
 httpd-wsgi,
Conflicts:
 lighttpd2-run
Description: lightweight  webserver (systemd service)
 lighttpd is a secure, fast, compliant, and very flexible web-server that
 has been optimized for high-performance environments. It has a very low
 memory footprint compared to other webservers and takes care of cpu-load.
 Its advanced feature-set (FastCGI, Auth, Output-Compression, URL-Rewriting
 and many more) make lighttpd the perfect webserver-software for every
 server that suffers load problems.
 .
 This package provides the systemd service. If you don't have systemd you
 should install lighttpd2-run for a runit service.

Package: lighttpd2-run
Architecture: all
Depends:
 lighttpd2-bin (>= ${source:Version}),
 runit (>= 1.8.0-2),
 adduser,
 ${misc:Depends},
Provides:
 httpd,
 httpd-cgi,
 httpd-wsgi,
Conflicts:
 lighttpd2,
Description: lightweight webserver (runit service)
 lighttpd is a secure, fast, compliant, and very flexible web-server that
 has been optimized for high-performance environments. It has a very low
 memory footprint compared to other webservers and takes care of cpu-load.
 Its advanced feature-set (FastCGI, Auth, Output-Compression, URL-Rewriting
 and many more) make lighttpd the perfect webserver-software for every
 server that suffers load problems.
 .
 This package provides a runit service. Activate it with:
 .
 ln -s /etc/sv/lighttpd2 /etc/service/

Package: lighttpd2-bin
Architecture: any
Depends: liblighttpd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: lighttpd2 (<< 2.0.0~snap-20150810-103940-gd2c6a2-2.2)
Breaks: lighttpd2 (<< 2.0.0~snap-20150810-103940-gd2c6a2-2.2)
Suggests:
 spawn-fcgi,
 fcgi-cgi,
 lighttpd2 (= ${binary:Version}) | lighttpd2-run (= ${binary:Version}),
Provides:
 httpd,
 httpd-cgi,
 httpd-wsgi,
Description: lightweight webserver (binaries)
 lighttpd is a secure, fast, compliant, and very flexible web-server that
 has been optimized for high-performance environments. It has a very low
 memory footprint compared to other webservers and takes care of cpu-load.
 Its advanced feature-set (FastCGI, Auth, Output-Compression, URL-Rewriting
 and many more) make lighttpd the perfect webserver-software for every
 server that suffers load problems.
 .
 This package includes the core binaries. To automatically run it you
 should install either lighttpd2 (systemd service) or lighttpd2-run (runit
 service)

Package: liblighttpd2
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: lightweight webserver - common libraries
 lighttpd is a secure, fast, compliant, and very flexible web-server that
 has been optimized for high-performance environments. It has a very low
 memory footprint compared to other webservers and takes care of cpu-load.
 Its advanced feature-set (FastCGI, Auth, Output-Compression, URL-Rewriting
 and many more) make lighttpd the perfect webserver-software for every
 server that suffers load problems.

Package: lighttpd2-dev
Architecture: any
Depends:
 lighttpd2-bin (= ${binary:Version}),
 liblighttpd2 (= ${binary:Version}),
 ${misc:Depends}
Description: lightweight webserver - development files for modules
 lighttpd is a secure, fast, compliant, and very flexible web-server that
 has been optimized for high-performance environments. It has a very low
 memory footprint compared to other webservers and takes care of cpu-load.
 Its advanced feature-set (FastCGI, Auth, Output-Compression, URL-Rewriting
 and many more) make lighttpd the perfect webserver-software for every
 server that suffers load problems.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

#export SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -SDate | date -f- +%s)
#CPPFLAGS += -DSOURCE_DATE_EPOCH=$(SOURCE_DATE_EPOCH)
CPPFLAGS += -DPACKAGE_NO_BUILD_DATE

# these options are also passed through $DH_INTERNAL_OPTIONS in
# the overrides
%:
	dh $@ --parallel --buildsystem=autoconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-lua \
		--with-openssl \
		--with-gnutls \
		--with-kerberos5 \
		--with-zlib \
		--with-bzip2 \
		--with-sni \
		--with-libunwind \
		--includedir=/usr/include/lighttpd-2.0.0

override_dh_clean:
	dh_clean
	find . -name '*.pyc' -delete

## lighttpd2 2.0.0%7esnap-20251224-153435

=== meson_options.txt ===
option('lua', type : 'boolean', value : true, description : 'Build with lua; extends core and other modules, and builds mod_lua')
option('ipv6', type : 'boolean', value : true, description : 'Build with IPv6 support')
option('config-parser', type : 'boolean', value : true, description : 'Build with standard config parser')
option('unwind', type : 'boolean', value : true, description : 'Build with (lib)unwind support in asserts to print backtraces')
option('openssl', type : 'boolean', value : true, description : 'Build mod_openssl')
option('gnutls', type : 'boolean', value : true, description : 'Build mod_gnutls')
option('sni', type : 'boolean', value : true, description : 'Build mod_openssl/mod_gnutls with SNI support')
option('bzip2', type : 'boolean', value : true, description : 'Build mod_deflate with bzip2 support')
option('deflate', type : 'boolean', value : true, description : 'Build mod_deflate with zlib (deflate) support')
option('extra-warnings', type : 'boolean', value : true, description : 'Build with extra warnings enabled')
# option('static', type : 'boolean', value : false, description : 'Build static lighttpd with all modules included')
option('profiler', type : 'boolean', value : false, description : 'Build with memory profiler')

option('search-lib', type : 'array', value : [], description: 'Search libs in additional paths')
option('search-inc', type : 'array', value : [], description: 'Search includes in additional paths')

## lighttpd2 2.0.0%7esnap-20251224-153435-g42018b

=== debian/changelog ===
lighttpd2 (2.0.0~snap-20251224-153435-g42018b-1) unstable; urgency=low

  * new snapshot g42018b
    + [build] support lua 5.5 (no code changes needed)
    + [build] use more recent lua versions with ubuntu (5.4) and alpine (5.5)
    + [mod_openssl] use uint64_t (instead of long) for options
    + [connection] fix signed compare in PROXYv2 handling
    + [connection] fix format strings (integer width) in PROXYv2 debug
    + [tests] don't flush closed log files
    + [tests] fix finding sha1[sum] binary
    + [tests] drop old macos workarounds

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 24 Dec 2025 15:34:50 +0000

lighttpd2 (2.0.0~snap-20250725-190751-gace2c0-1) unstable; urgency=low

  * new snapshot gace2c0
    + [tests] curl SOCKOPT_ALREADY_CONNECTED broken vom 7.88 to 8.0

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 25 Jul 2025 19:08:02 +0000

lighttpd2 (2.0.0~snap-20250725-175751-gd400f4-1) unstable; urgency=low

  * new snapshot gd400f4
    + [tests] handle older (py)curl without HAPROXY_PROTOCOL support
    + [build] run apt-get update on github ubuntu workflow

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 25 Jul 2025 17:58:01 +0000

lighttpd2 (2.0.0~snap-20250725-174100-gda6c0d-1) unstable; urgency=low

  * new snapshot gda6c0d
    + [connection] move some connection finished handling to shared code
    + [tests] log a message to explain a lua error is expected afterwards
    + [connection] add comment about keepalive-reset in li_connection_reset
    + [connection] add PROXY parser (haproxy protocol)
    + [core/collect] fix use after free during shutdown

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 25 Jul 2025 17:42:18 +0000

lighttpd2 (2.0.0~snap-20250713-151256-ga14755-1) unstable; urgency=low

  * new snapshot ga14755
    + [lua] add more stack counting comments
    + [lua] fix stack cleanup in li_config_lua_load error handling
    + [stream] simple_socket_io: convert opaque context type to buffer
    + [connection] use proper struct for li_connection_simple_tcp state
    + [connection] split tcp/unix stream and plain http handling into separate files

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 13 Jul 2025 15:13:08 +0000

lighttpd2 (2.0.0~snap-20250601-171253-gc6d66b-1) unstable; urgency=low

  * new snapshot gc6d66b
    + [tests] add test for map_cidr

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 01 Jun 2025 17:13:02 +0000

lighttpd2 (2.0.0~snap-20250601-163259-gd0f7f1-1) unstable; urgency=low

  * new snapshot gd0f7f1
    + [plugin_core] add map_cidr action

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 01 Jun 2025 16:33:09 +0000

lighttpd2 (2.0.0~snap-20250601-135251-g11df37-1) unstable; urgency=low

  * new snapshot g11df37
    + [mod_memcached] fix comment
    + [build]: add options for additional paths to search includes and libs in
    + [build] search bzip2 via pkg-config first
    + [log] fix _VR_* logging macros (NULL-pointer (offset) deref for vr == NULL)
    + [lua] fix broken _ENV in C (lua_getglobal) due to stack count error
    + [lua] add vr.error(...) (same as vr.print())
    + [lua] logging: run `tostring` with error handling
    + [tests] lua: make sure lua logging functions don't break request handling

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 01 Jun 2025 13:53:00 +0000

lighttpd2 (2.0.0~snap-20250106-104251-g10303a-1) unstable; urgency=low

  * new snapshot g10303a
    + [build] fix ci-macos: pycurl, libev, keg-only packages
    + [core] fix potential use-after-free after li_job_reset

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Mon, 06 Jan 2025 10:43:02 +0000

lighttpd2 (2.0.0~snap-20250105-134250-g2306c2-3) unstable; urgency=medium

  * use pkgconf instead of pkg-config

 -- Stefan Bühler <source@stbuehler.de>  Sun, 05 Jan 2025 14:59:36 +0100

lighttpd2 (2.0.0~snap-20250105-134250-g2306c2-2) unstable; urgency=medium

  * use lua5.4 (instead of 5.1)

 -- Stefan Bühler <source@stbuehler.de>  Sun, 05 Jan 2025 14:50:50 +0100

lighttpd2 (2.0.0~snap-20250105-134250-g2306c2-1) unstable; urgency=low

  * new snapshot g2306c2
    + [build] accept and prefer lua 5.4, then 5.3, then 5.1

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 05 Jan 2025 13:43:00 +0000

lighttpd2 (2.0.0~snap-20250105-132750-g9737e7-1) unstable; urgency=low

  * new snapshot g9737e7
    + [mod_lua] fix error handler stack position when calling lua "setups"
    + [tests] lua: make show_env_info function local
    + [lua] rename li_lua_push_lvalues_dict to li_lua_set_global_condition_lvalues
    + [lua] rework handling of environment (i.e. globals)
    + [lua] disable undocumented vr:subrequest(..)
    + [tests] append ".test"-suffix to vhost names, recreate test CA with wildcard and client certificate

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 05 Jan 2025 13:28:07 +0000

lighttpd2 (2.0.0~snap-20241227-223253-g60e2ad-1) unstable; urgency=low

  * new snapshot g60e2ad
    + [lua] use lua_{get,set}global instead of lua_{get,set}field with LUA_GLOBALSINDEX
    + [lua] use protected call to "tostring" in li_lua_print_get_string
    + [lua] get rid of LUA_GLOBALSINDEX in lua_settop_in_dicts
    + [mod_lua] LUA_GLOBALSINDEX should be the default environment of a new function, no need to set it
    + [lua] make remaining LUA_GLOBALSINDEX usages to manage global environment lua5.2+ compatible
    + [lua] provide li_lua_setfenv for lua5.2+
    + [lua] get rid of lua_getfenv when modifying env for request context _G for lua actions
    + [lua] replace lua5.1 luaL_register with wrapper for lua5.2 luaL_setfuncs
    + [lua] add li_lua_equal wrapper to use lua_compare on lua5.2 instead of lua_equal
    + [lua] use lua5.2+ lua_rawlen instead of lua_objlen
    + [lua] use luaL_checkinteger instead of luaL_checkint (deprecated in lua5.3)

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 27 Dec 2024 22:33:02 +0000

lighttpd2 (2.0.0~snap-20241225-233250-g87290a-1) unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -1,35 +1,33 @@
 Source: lighttpd2
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Stefan Bühler <source@stbuehler.de>
 Uploaders:
  Lighttpd Buildbot <buildbot@lighttpd.net>,
  Jenkins (autobuilder) <jenkins@lighttpd.net>,
 Build-Depends:
- debhelper (>= 9),
- autotools-dev,
+ debhelper-compat (= 13),
+ meson,
  libev-dev,
  ragel,
  libglib2.0-dev,
- liblua5.1-dev,
+ liblua5.4-dev,
  zlib1g-dev,
  libbz2-dev,
- pkg-config,
+ pkgconf,
  libssl-dev,
  libgnutls28-dev,
- libidn11-dev,
+ libidn-dev | libidn11-dev,
  libunwind8-dev,
- python (>= 2.6),
- python-pycurl,
- fcgi-cgi,
- dh-systemd (>= 1.5),
-Standards-Version: 3.9.8
+ python3,
+ python3-pycurl,
+Standards-Version: 4.6.2
 Homepage: https://redmine.lighttpd.net/projects/lighttpd2/wiki
 
 Package: lighttpd2
 Architecture: any
 Depends:
- lighttpd2-bin (>= ${source:Version}),
+ lighttpd2-bin (>= ${binary:Version}),
  systemd,
  adduser,
  ${misc:Depends},
@@ -53,7 +51,7 @@
 Package: lighttpd2-run
 Architecture: all
 Depends:
- lighttpd2-bin (>= ${source:Version}),
+ lighttpd2-bin (>= ${binary:Version}),
  runit (>= 1.8.0-2),
  adduser,
  ${misc:Depends},
@@ -112,17 +110,3 @@
  Its advanced feature-set (FastCGI, Auth, Output-Compression, URL-Rewriting
  and many more) make lighttpd the perfect webserver-software for every
  server that suffers load problems.
-
-Package: lighttpd2-dev
-Architecture: any
-Depends:
- lighttpd2-bin (= ${binary:Version}),
- liblighttpd2 (= ${binary:Version}),
- ${misc:Depends}
-Description: lightweight webserver - development files for modules
- lighttpd is a secure, fast, compliant, and very flexible web-server that
- has been optimized for high-performance environments. It has a very low
- memory footprint compared to other webservers and takes care of cpu-load.
- Its advanced feature-set (FastCGI, Auth, Output-Compression, URL-Rewriting
- and many more) make lighttpd the perfect webserver-software for every
- server that suffers load problems.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYTHONDONTWRITEBYTECODE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

#export SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -SDate | date -f- +%s)
#CPPFLAGS += -DSOURCE_DATE_EPOCH=$(SOURCE_DATE_EPOCH)
CPPFLAGS += -DPACKAGE_NO_BUILD_DATE

# these options are also passed through $DH_INTERNAL_OPTIONS in
# the overrides
%:
	dh $@ --buildsystem=meson
